Ticket #170 (closed bug: wontfix)

Opened 12 years ago

Last modified 8 years ago

Saffire LE sometimes fails to start

Reported by: j.silvestre Assigned to: ppalmers
Priority: major Milestone: FFADO 2.1
Component: Version: FFADO SVN (trunk)
Keywords: Cc:
The device the bug applies to: Saffire LE

Description

Sometimes but only after power cycling the interface or unplug re-plug the firewire link, jack fails. Second try is always successfull. See attached ffado-jack.log. Others times jack lost himself in a loop and have to be killed. See ffado-jack.log2-short.

Attachments

ffado-jack.log.tar.bz2 (16.9 kB) - added by j.silvestre on 10/23/08 12:55:57.
ffado-jack.log and ffado-jack.log2-short archive

Change History

10/23/08 12:55:57 changed by j.silvestre

  • attachment ffado-jack.log.tar.bz2 added.

ffado-jack.log and ffado-jack.log2-short archive

10/24/08 01:33:35 changed by ppalmers

  • status changed from new to assigned.
  • owner set to ppalmers.
  • milestone changed from FFADO 2.0 to FFADO 2.1.

What happens is that the device generates a bus reset while jack is running. FFADO has a really difficult time when that happens. Bus resets are really a PITA to handle, since they can happen at any moment in time.

Currently our busreset handling is very flaky, but I'm wondering whether to fix this for 2.0 or postpone this. After all, freebob doesn't handle them either and people don't complain too much. Supporting them is not very trivial and will take quite some time.

04/02/12 05:11:44 changed by jwoithe

Do we have any current data on this bug with recent snapshots? In other words, is this still a problem now and if so is there anything that can be done prior to 2.1?

If the problem persists I think we'll have to bump it to at least 2.2 since the changes to make FFADO resilient against bus resets are not straight-forward.

05/11/12 05:21:49 changed by jwoithe

  • status changed from assigned to closed.
  • resolution set to wontfix.

In the absence of further information I'll close this bug as wontfix. There's insufficient detail to determine whether there is a bug to fix, or whether changes since the original report have addressed whatever the underlying cause was. Feel free to re-open the ticket if new information comes to light.